declare type Loader = () => Promise<any>;
export declare const loadCache: {
    get(key: string): any;
    set(key: string, value: any, duration?: number | undefined): void;
    clear(key: string): void;
    clearAllMemory(): void;
    cleanup(): void;
    dump(): {
        [key: string]: any;
    };
};
export declare function createLoadCache(name: string, { dir }?: {
    dir?: string | undefined;
}): {
    get(key: string): any;
    set(key: string, value: any, duration?: number | undefined): void;
    clear(key: string): void;
    clearAllMemory(): void;
    cleanup(): void;
    dump(): {
        [key: string]: any;
    };
};
export declare function loadError(key: string, e: Error): void;
export declare function prime(key: string, value: any, duration?: number): void;
export declare function cache(loader: () => Promise<any>, { key, duration }: {
    key: string;
    duration?: number;
}): Promise<any>;
export declare function load(loader: Loader, { key, duration }: {
    key: string;
    duration?: number;
}): any;
export declare function flush(run: () => any, data?: {}): Promise<{
    content: string;
    data: {
        [key: string]: any;
    };
}>;
export {};
